dbXML API

## org.dbxml.xml
Class NodeSource

    java.lang.Object
      |
      +--org.dbxml.xml.NodeSource

public final class NodeSource
extends java.lang.Object

NodeSource encapsulates the source of a Document, including its Collection reference and its Key.

Field Summary
`static java.lang.String` `SOURCE_COL`
`static java.lang.String` `SOURCE_COUNT`
`static java.lang.String` `SOURCE_KEY`
`static java.lang.String` `SOURCE_MODIFIED`
`static java.lang.String` `SOURCE_NS`

Constructor Summary
`NodeSource(Collection collection)`
`NodeSource(Collection collection, Key key)`

Method Summary
`java.lang.String` `getCanonicalName()`
`Collection` `getCollection()`
`Key` `getKey()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_NS

    public static final java.lang.String SOURCE_NS

### SOURCE_COL

    public static final java.lang.String SOURCE_COL

### SOURCE_KEY

    public static final java.lang.String SOURCE_KEY

### SOURCE_COUNT

    public static final java.lang.String SOURCE_COUNT

### SOURCE_MODIFIED

    public static final java.lang.String SOURCE_MODIFIED

Constructor Detail

### NodeSource

    public NodeSource(Collection collection,
                      Key key)

### NodeSource

    public NodeSource(Collection collection)

Method Detail

### getCollection

    public Collection getCollection()

### getKey

    public Key getKey()

### getCanonicalName

    public java.lang.String getCanonicalName()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved